# DataStructures.jl

This package implements a variety of data structures, including

-   Deque (based on block-list)
-   CircularBuffer
-   CircularDeque (based on a circular buffer)
-   Stack
-   Queue
-   Priority Queue
-   Accumulators and Counters
-   Disjoint Sets
-   Binary Heap
-   Mutable Binary Heap
-   Ordered Dicts and Sets
-   RobinDict
-   Dictionaries with Defaults
-   Trie
-   Linked List and Mutable Linked List
-   Sorted Dict, Sorted Multi-Dict and Sorted Set
-   DataStructures.IntSet

## Contents

```@contents
Pages = [
    "index.md",
    "deque.md",
    "circ_buffer.md",
    "circ_deque.md",
    "stack_and_queue.md",
    "priority-queue.md",
    "accumulators.md",
    "disjoint_sets.md",
    "heaps.md",
    "ordered_containers.md",
    "default_dict.md",
    "robin_dict.md",
    "trie.md",
    "linked_list.md",
    "mutable_linked_list.md"
    "intset.md",
    "sorted_containers.md",
]
```
